<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Initiate_RddDownload StructType
 * @subpackage Structs
 */
class Initiate_RddDownload extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The InitiateRddDownload
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\InitiateRddDownload
     */
    public $InitiateRddDownload;
    /**
     * Constructor method for Initiate_RddDownload
     * @uses Initiate_RddDownload::setLogin()
     * @uses Initiate_RddDownload::setInitiateRddDownload()
     * @param \StructType\Login $login
     * @param \StructType\InitiateRddDownload $initiateRddDownload
     */
    public function __construct(\StructType\Login $login = null, \StructType\InitiateRddDownload $initiateRddDownload = null)
    {
        $this
            ->setLogin($login)
            ->setInitiateRddDownload($initiateRddDownload);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Initiate_RddDownload
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get InitiateRddDownload value
     * @return \StructType\InitiateRddDownload|null
     */
    public function getInitiateRddDownload()
    {
        return $this->InitiateRddDownload;
    }
    /**
     * Set InitiateRddDownload value
     * @param \StructType\InitiateRddDownload $initiateRddDownload
     * @return \StructType\Initiate_RddDownload
     */
    public function setInitiateRddDownload(\StructType\InitiateRddDownload $initiateRddDownload = null)
    {
        $this->InitiateRddDownload = $initiateRddDownload;
        return $this;
    }
}
